# TiendApp Validator - Methods to validate customization schema
module TiendappValidator
  # VG001 - Validar syntaxis customization schema
  def self.validate_customation_schema_file
    SCHEMA_FILES.each do |schema|
      next if customization_schemas.include? root_path + 'config/' + schema
      return response 'Error', I18n.t('error.customization_schema_not_found', schema: schema) , false
    end
    response 'OK', I18n.t('ok.found_all_customization_schema_files'), true
  end
end
