module TiendappValidator
  # Nombre de los archivos necesarios de la aplicacion
  LIQUID_FILES =
    ['layout.liquid', 'home.liquid', 'product.liquid', 'blog.liquid',
     'static_page.liquid', 'post.liquid', 'order.liquid',
     'sidebar.liquid', 'products.liquid', 'taxon.liquid'].freeze

  # Subcarpeta checkout
  LIQUID_FILES_CHECKOUT =
    ['address.liquid', 'cart.liquid', 'delivery.liquid', 'address.liquid',
     'payment.liquid', 'pre_complete.liquid'].freeze

  #  Subcarpeta mailer
  LIQUID_FILES_MAILER =
    ['cancel_order.liquid', 'confirm_order.liquid', 'layout.liquid',
     'shipped_order.liquid'].freeze

  # Paths basicos de los archivos necesarios
  CHECKOUT_PATH = 'checkout/'.freeze
  MAILER_PATH = 'mailer/'.freeze

  # Schema files
  SCHEMA_FILES = ['customization_schema.json',
                  'email_customization_schema.json'].freeze

  # Format list
  EXTENSIONS = ['liquid', 'git', 'ico', 'css', 'json', 'js', 'map', 'eot', 'svg', 'ttf',
                'woff', 'woff2', 'jpg', 'png', 'md'].freeze
end
